## jenkins-scripts 1.11

=== debian/changelog ===
jenkins-scripts (1.11) unstable; urgency=low
  * Update sync_repo job
  * remove f-string
  * Update AHUB trigger script using QB.
  * Send mail when project is not present form git-obs-mapping.xml
  * fix build error: Add changer for changelog
  * Replace @BUILD_DATE@ to snapshot_id
  * OBS Worker Scaling - Count waiting if larger than 3
  * Update AHUB trigger script
  * Worker Scailing: Retry if describe failed
  * SR submit: input tag checks
  * Fix pylint error`
 -- Biao Wang <biao716.wang@samsung.com>  Thu, 5 Jan 2023 08:00:00 +0900

jenkins-scripts (1.10) unstable; urgency=low
  * Do not terminate workers if blocked build exists
  * Destroy OBS workers according to the threshold
  * Add release name into prjconf
  * Fix invalid reference project and realtime log
  * Enable missing exception handling
  * Add "failed" option in Clean.Rebuild function
  * New Digest issue string after rpm 4.14
  * Fix updating DB datetime issue after upgrade
  * Cut-out overflowed commit message string when update ABS status
  * REF - Do not remove packages from remote
  * Zero instead of None after DB version up
  * Exclude copy aggregate package : base_tools_aggregate
  * Digest mismatch check - search started log
  * Do not proceed if tag is synced from public
  * Reset build_project_id if null
  * Add virtual git path to run basechecker TCT
  * Base Verification: Include tool link project
  * Update AHUB trigger script
  * Added job_fuzz_receiver.py script to get fuzzing coverage and store it to DB
  * Fixed baase64 encoding ffor job_fuzz_receiver
 -- Biao Wang <biao716.wang@samsung.com>  Tue, 6 Jul 2021 08:00:00 +0900

jenkins-scripts (1.9) unstable; urgency=low
  * Fix pylint error
  * Add TRIGGER_INFO string to add_git_tag
  * remove build dependence with python-support
  * Change public_mirror rsync path
  * [REF check] Support multiple base projects
  * Fix autoscailing
  * Create release notes in case of milestone release
  * Fix bug in creating latest-release symbolic link in case of Tizen tool/services milestone release
  * REF precheck: remove localdep
  * Support Tizen:Base:Tool for base verification
  * Add a function for project manager
  * Copy a project and packages from other project
  * Filter based on actual package name
  * Do not use obs build directory
  * Import rpm - include debug rpms
  * TCT - support list of test urls
  * [RBS] Multiple scripts from configuration file
  * RBS - Change mail contents

jenkins-scripts (1.8) unstable; urgency=low
  * Multiple log files for rootstrap generation

jenkins-scripts (1.7) unstable; urgency=low
  * python-beautifulsoup4 in debian/control change to python-bs4
  * Add the initial variable
  * Changed to push directly without review-direct push
  * Fix pylint errors about 'Revert back import boto3'
  * Block SR if branch is _tpk w/o ABS config
  * [ABS] Support Tizen Studio 4.0: x86 -> i586
  * Adding timestamp to the error log
  * Adding actual build timestamp
  * Revert back import boto3
  * Versioning digest issue check script

jenkins-scripts (1.6) unstable; urgency=low
  * Get default value instead of throwing key error
  * Removed semicolon
  * Handle multiple snapshot for one SR
  * Support multiple snapshots and multiple srs
  * trigger 'prerelease-create' job in case of base build failure
  * fix pylint error in job_trbs_test_result_receiver.py file
  * Disable gbs ref fullbuild and update meta files directly
  * Revert 211934: Take not executed into account
  * Add latest-release funtion
  * Handle test status for snapshot
  * Fixed Multiple specs with no pkg_name
  * Fix delpkg issue
  * Fix pylint errors for jenkins-scripts
  * Integrate meta checker script
  * Remove RSYNC_SNAPSHOT feature
  * Fixed the status display of SR
  * fix status error
  * Add runservice command after undelete command
  * Fixed undelet package for project manager
  * Handle general keyring errors
  * Fix typo
  * Add detail for the test result
  * Retry jenkins connecton
  * Test - Get build_project_id from SR number, Handle non SR result
  * Remove some mail contents
  * Fixed the status display of SR
  * Force remove rejected project if OBS request failed
  * Fix again unittest 'test_add_repo_noarch'
  * Retry build if keystore error
  * Fix unittest 'test_add_repo_noarch'
  * Fix unittest 'test_add_repo'
  * Update Dashboard URL Noti
  * Branch option for RBS
  * Update database when remove base-checker
  * Fixed KeyError
  * Fix typo
  * Update the packages to dashboard
  * Feature: Snapshot Info Updated
  * Changed order profile link project
  * Fixed commit for aggregate package of basechecker
  * Fixed repa error for basechecker project
  * Update base verification project info
  * backout: Add "obs_url" in project info
  * Add "obs_url" in project info
  * Fix multiple SRs for ABS package
  * Add a buildinfo data for project
  * Keep all test results
  * Separate Web App templates
  * Support _wgt branch prerelease
  * [TCT] Query based on profile name
  * [ABS] Get default property file
  * Enable git-buildpackage to export of SR package
  * Support wearable tct result
  * Add set_global_flag : build&publish enable
  * Add exclude ref repo option
  * pre-prelease-basechecker: fix argument error
  * base_verification : set_description, change_project_config
  * ADD Base Verification scripts
  * ABS - Do not report false check for non-exist tag
  * Add OBS functions for meta change

jenkins-scripts (1.5) unstable; urgency=low
  * Sync trbs scripts
  * Add a "Fail" string for the failure case
  * Remove un-used contents for scailing
  * Missing work_branch init routine
  * Changed the fail condition of Test Case
  * Add compress option to submit request
  * Fix of wrong triggers for sr sync
  * Fixed an issue with imaging status remaining in PMB
  * Do not allow auto reference configuration
  * Fixed addpkg funtion for the PMB
  * Do not handle non-existing repo when create repos
  * Compress build monitor data

