=== debian/control ===
Source: jenkins-scripts
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, dh-python, python-docutils 
Standards-Version: 1.1
Homepage: http://www.tizen.org

Package: jenkins-scripts
Architecture: all
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 gzip,
 jenkins-scripts-common,
 jenkins-scripts-submitobs,
 jenkins-scripts-tzs,
 jenkins-scripts-dependsgraph,
 jenkins-scripts-trbs,
 jenkins-scripts-abs,
 jenkins-scripts-groovyinit,
 jenkins-scripts-pmb,
 jenkins-scripts-dtr,
 python-mysqldb
Description: Jenkins build job will call this scripts
  when build job is triggered by Gerrit/OBS event.

Package: jenkins-scripts-common
Architecture: all
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 gzip,
 createrepo-c,
 git-core,
 git-buildpackage-rpm,
 python-bs4,
 python-cheetah,
 python-redis,
 python-requests,
 python-snapdiff,
 python-yaml,
 python-lxml,
 gbs-api,
 python-boto3,
 python-dateutil,
 python-xlrd,
 python-jenkinsapi,
 python-urllib3,
Description: Common part of jenkins scripts

Package: jenkins-scripts-tzs
Architecture: all
Depends:  ${python:Depends},
 jenkins-scripts-common
Description: Jenkins scripts for tzs customer appliance instance

Package: jenkins-scripts-submitobs
Architecture: all
Depends:  ${python:Depends},
 jenkins-scripts-common
Description: Isolated job_submitobs to avoid package installation conflicts

Package: jenkins-scripts-groovyinit
Architecture: all
Description: Groovy init scripts for jenkins startup

Package: jenkins-scripts-dependsgraph
Architecture: all
Description: Dependency Graph Generation tool
Depends:  ${python:Depends},
 jenkins-scripts-common

Package: jenkins-scripts-trbs
Architecture: all
Description: Tizen Reference Build System scripts
Depends:  ${python:Depends},
 jenkins-scripts-common

Package: jenkins-scripts-abs
Architecture: all
Description: App Build System scripts
Depends:  ${python:Depends},
 jenkins-scripts-common

Package: jenkins-scripts-pmb
Architecture: all
Description: pmb scripts for Tools&Services development and test process
Depends:  ${python:Depends},
 jenkins-scripts-common

Package: jenkins-scripts-dtr
Architecture: all
Description: dtr scripts for the view & services for Daily Test Result
Depends:  ${python:Depends},
 jenkins-scripts-common
